Bug 191629 - Resume after suspend to ram S3 fails
Resume after suspend to ram S3 fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-13 21:02 EDT by andy miller
Modified: 2008-05-06 11:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andy miller 2006-05-13 21:02:09 EDT
Description of problem:

After a suspemd to ram (S3), the systems resumes correctly but hangs after
15-30Seconds. I have found similar bug reports but only in connection with SATA
hard disks. I have a 250 Seagate 250GB PATA disk

The syems appears to hang after the first disk access.  

System :  
NVIDIA GeForce™ 6150/nForce™ 430
Hard Disk Drive 250 GB Seagate PATA


Version-Release number of selected component (if applicable):
Fedora 5 -2080

How reproducible:

open X -console

Steps to Reproduce:
1. ifdown eth0
2. modprobe -r forcedeth  
3. echo "mem" >/sys/power/state

System goes correctly into S3, systems / HD etc turn off

4. Press power button

  
Actual results:

System correctly returns from S3, KDE desktop comes back. I can move the mouse
and open a new console ( right click desktop), some actions will cause an
immidiate system hang.

After about 15-30 Seconds system hangs


Expected results:
Sysem should not hang

Additional info:
I have create a simple script in /etc/acpi/actions/sleep.sh. In an attemtp to
verify if I can access the Hard Disk by copying a file to another one. I never c
the copied file.

 ifdown eth0
 modprobe -r forcedeth
 sync  
 echo "mem" >/sys/power/state
 cp /tmp/tmp1.bak /tmp/tmp2.bak
 sync
Comment 1 Phil Knirsch 2007-01-23 11:00:35 EST
That still sounds like kernel problem with the hard disk driver in your case if
you can't write a file directly after resume but see graphics and can move the
mouse for a short period.

Reassigning to kernel.

Read ya, Phil
Comment 2 Nigel Cunningham 2007-12-10 17:14:29 EST
Could you please try a newer kernel - and preferably a newer Fedora release?
Comment 3 Bug Zapper 2008-04-03 22:52:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:53:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.